Subject: bug#11745: the new test-suite summary is confusing

From: Jim Meyering <[email-masked]>
Date: Fri, 5 Jun 2020 20:29:50 -0700

On Mon, Jun 1, 2020 at 6:46 PM Karl Berry <[email-masked]> wrote:
> Hi Alexandre and all - regarding
> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=11745 (12 years ago, oh well).
>
>     I upgraded to Automake 1.12.1 to discover the each of these test-suite
>     [directories] now displays a huge summary like:
>     ============================================================================
>     Testsuite summary for spot 0.9.1a
>     ...
>     The above in definitely *not* a testsuite summary for
>     the project, it's only a test summary for one directory.
>
> Agreed, but:
>
>     I think the easiest fix would be to change the header to just
>     "Testsuite summary", without mentioning the package.
>
> I don't think that's the right fix. In TeX Live, we have many different
> packages, all in one Automake tree, and if every testsuite summary just
> said "TeX Live", it would be difficult to discern what the summary was
> reporting on. That is, the TL make check output starts like this:
> Testsuite summary for Kpathsea 6.3.3/dev
> ..
> Testsuite summary for zlib (TeX Live) 1.2.11
> ..
> Testsuite summary for lua53 (TeX Live) 5.3.5
>
> If all of those just said "TeX Live", it wouldn't be good.
>
>
> I don't think we should change the default form of the Automake header
> line at this late date, since some packages (and plenty of AM's own
> tests) might well be expecting what's currently output.
>
> So I propose to define a new variable in lib/am/check.am:
> AM_TESTSUITE_SUMMARY_HEADER = " for $(PACKAGE_STRING)"
> so the default is unchanged.

Thanks, Karl!
This looks great. Only one minor suggestion: to use single quotes
there, rather than double:

  AM_TESTSUITE_SUMMARY_HEADER = ' for $(PACKAGE_STRING)'

so that the replacement value is less likely to require additional escaping.